(function() {
	/*
	 * 現在の設定を取得
	 */
	getSlideMenu = function() {
		applican.slideMenu.getCurrentMenu(getSlideMenuSuccess);
	}
	
	/*
	 * 現在の設定を取得成功時のcallback処理む
	 *	パラメータの属性：
	 *		image : String	画像ID
	 *		url   : String	URL
	 */
	function getSlideMenuSuccess(result) {
		var dump = "現在のメニューを取得しました。\n";
		var cnt = result.length;
		if(cnt > 0) {
			for(var i = 0; i < cnt; i++) {
				var menu = result[i];
				dump += "========================\n";
				dump += "image : " + menu.image + "\n";
				dump += "url : "   + menu.url   + "\n";
			}
		}
		document.getElementById("dumpAreaSlideMenu").value = dump; 
	}
	
	/*
	 * スライドメニューを更新
	 */
	updateSlideMenu = function() {
		var menu = [
			{image : "btn_menu06", url : "index.html"},
			{image : "btn_menu07",    url : "menu07.html"},
			{image : "btn_menu08",    url : "menu08.html"},
			{image : "btn_menu09",    url : "menu09.html"}
		];
		applican.slideMenu.setMenu(menu);
		alert("スライドメニューを更新しました。");
	}
	
	/*
	 * スライドメニューをリセット
	 */
	resetMenu = function() {
		applican.slideMenu.resetMenu();
		alert("スライドメニューをリセットしました。");
	}
})();
